package com.sckw.remote.constant;

import java.util.Arrays;
import java.util.List;

/**
 * @author xucaiqin
 */
public enum DubboAllow {
    EXCEPTION("com.sckw.core.exception", "异常放行包");
    private final String pack;
    private final String desc;

    DubboAllow(String pack, String desc) {
        this.pack = pack;
        this.desc = desc;
    }

    public String getPack() {
        return pack;
    }

    public String getDesc() {
        return desc;
    }

    public static List<String> getPacks() {
        return Arrays.stream(DubboAllow.values()).map(DubboAllow::getPack).toList();
    }


}
